zenilib: zenilib/jni/external/freetype2/include/freetype/ftbdf.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Enumerations | Functions
ftbdf.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | BDF_PropertyRec_

## Typedefs

typedef struct BDF_PropertyRec_ * | BDF_Property
typedef struct BDF_PropertyRec_ | BDF_PropertyRec
typedef FT_BEGIN_HEADER enum BDF_PropertyType_ | BDF_PropertyType

## Enumerations

enum | BDF_PropertyType_ { BDF_PROPERTY_TYPE_NONE = 0, BDF_PROPERTY_TYPE_ATOM = 1, BDF_PROPERTY_TYPE_INTEGER = 2, BDF_PROPERTY_TYPE_CARDINAL = 3 }

## Functions

| FT_Get_BDF_Charset_ID (FT_Face face, const char **acharset_encoding, const char **acharset_registry)
| FT_Get_BDF_Property (FT_Face face, const char *prop_name, BDF_PropertyRec *aproperty)

## Typedef Documentation

typedef struct BDF_PropertyRec_* BDF_Property

Definition at line 93 of file ftbdf.h.

typedef struct BDF_PropertyRec_ BDF_PropertyRec

typedef FT_BEGIN_HEADER enum BDF_PropertyType_ BDF_PropertyType

## Enumeration Type Documentation

enum BDF_PropertyType_

Enumerator
BDF_PROPERTY_TYPE_NONE |
BDF_PROPERTY_TYPE_ATOM |
BDF_PROPERTY_TYPE_INTEGER |
BDF_PROPERTY_TYPE_CARDINAL |

Definition at line 74 of file ftbdf.h.

## Function Documentation

FT_Get_BDF_Charset_ID | ( | FT_Face | face,
|  | const char ** | acharset_encoding,
|  | const char ** | acharset_registry
| ) |  |

Definition at line 27 of file ftbdf.c.

References error, FT_Err_Invalid_Argument, FT_FACE_FIND_SERVICE, NULL, and registry.

FT_Get_BDF_Property | ( | FT_Face | face,
|  | const char * | prop_name,
|  | BDF_PropertyRec * | aproperty
| ) |  |

Definition at line 62 of file ftbdf.c.

References BDF_PROPERTY_TYPE_NONE, error, FT_Err_Invalid_Argument, and FT_FACE_FIND_SERVICE.